from kbcrt import *
from time import time
from machine import reset

OBJ = "@"
TIME_OUT = 10
X_MIN = 0
X_MAX = 79
Y_MIN = 0
Y_MAX = 23

def adjust(x, y):
    if x < X_MIN:
        x = X_MAX
    if X_MAX < x:
        x = X_MIN
    if y < Y_MIN:
        y = Y_MAX
    if Y_MAX < y:
        y = Y_MIN
    return x, y

def move(x, y, kc):
    locate(x, y)
    print(" ", end="")
    if kc == KC_UP: 
        y = y -1
    elif kc == KC_DOWN:
        y = y + 1
    elif kc ==KC_LEFT:
        x = x - 1
    elif kc == KC_RIGHT:
        x = x + 1
    x, y = adjust(x, y)
    locate(x, y)
    print(OBJ, end="")
    return x, y

cls()
x = 0
y = 0
cursor(False)
print(OBJ, end="")
start = time()
while time() - start < TIME_OUT:
    kc = inkey()
    if kc == 0x03:
        break
    elif kc != -1:
        start = time()
        x, y = move(x, y, kc)

cls()
cursor(True)
reset()
