from machine import UART
uart = UART(0, 38400)

KC_LEFT = 0x800c
KC_RIGHT =0x800d
KC_UP = 0x800e
KC_DOWN = 0x800f

def inkey():
    if 0 < uart.any():
        bytes = uart.read()
        c = int.from_bytes(bytes, "big")
        if c == 0x1b5b41: # ESC [ A
            return KC_UP
        elif c == 0x1b5b42: # ESC [ B
            return KC_DOWN
        elif c == 0x1b5b43: # ESC [ C
            return KC_RIGHT
        elif c == 0x1b5b44: # ESC [ D
            return KC_LEFT
        return c
    return -1

def cls():
    print("\x1b[2J")
    locate(0, 0)

def locate(x, y):
    print("\x1b[%d;%dH" % (y + 1, x + 1), end="")

def cursor(sw):
    print("\x1b[?25%s" % ("h" if sw else "l"), end="") 

